window.alert doesn't work inside the viewport
Otherwise here is various cases that don't work within mozbrowser frames:
-  => 
requires to listen for mozbrowseropenwindow on the iframe
- 
I think it relates to mozbrowsershowmodalprompt
